"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var core_1 = require("@taro-hooks/core");
var shared_1 = require("@taro-hooks/shared");
var useMount = function useMount(fn) {
  if (process.env.NODE_ENV === 'development') {
    if (!(0, shared_1.isFunction)(fn)) {
      console.error("useMount: parameter `fn` expected to be a function, but got \"" + typeof fn + "\".");
    }
  }
  (0, core_1.useEffect)(function () {
    fn == null ? void 0 : fn();
  }, []);
};
exports["default"] = useMount;